/*
 *  Copyright 2011 by The Cogchar Project (www.cogchar.org).
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.cogchar.convoid.cue;

import java.util.Map;
import org.cogchar.platform.stub.CueSpaceStub;
import org.cogchar.platform.stub.CueStub;

public interface ConvoidCueSpace extends CueSpaceStub {
	public VerbalCue addVerbalCueForMeanings(Map<String, Double> meanings, double strength);
	public ModeCue addModeCueForName(String modeName, double strength);

	public void clearAllModeCues();
	public void clearAllVerbalCues();
    public void clearAllCuesMatching(Class<? extends CueStub> clazz);
    public void addCue(CueStub c);

}
